﻿using Elwig.Models.Dtos;
using Elwig.Models.Entities;

namespace Elwig.Documents {
    public class PaymentVariantSummary : Document {

        public new static string Name => "Auszahlungsvariante";

        public PaymentVariantSummaryData Data;
        public PaymentVar Variant;
        public string CurrencySymbol;

        public PaymentVariantSummary(PaymentVar v, PaymentVariantSummaryData data) : base(v.Name) {
            Variant = v;
            Data = data;
            CurrencySymbol = v.Season.Currency.Symbol ?? v.Season.Currency.Code;
        }
    }
}
